import React__default from 'react';
import { T as Typography } from './Typography-es.js';

var styles = {"descriptionList":"BkruJ2-bRWg-","termGroup":"tpCvfS7kyDQ-","spinning":"pkFPHChT5OI-"};

function DescriptionList({ data }) {
    return (React__default.createElement("dl", { className: styles.descriptionList }, data.map(([term, description], i) => (React__default.createElement("div", { key: `${term}-${i}`, className: styles.termGroup },
        React__default.createElement(Typography, { element: "dt", textColor: "heading", size: "base" }, term),
        React__default.createElement(Typography, { element: "dd", textColor: "text", size: "base" }, description))))));
}

export { DescriptionList as D };
